<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:id="@+id/bottomDialogBottomLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/drw_bottom_layout_bg"
        android:orientation="vertical"
        android:visibility="visible">

        <LinearLayout
            android:id="@+id/bottomDialogLayoutInfo"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:paddingBottom="32dp"
            android:visibility="visible">

            <LinearLayout
                android:id="@+id/bottomDialogBottomCloseBtn"
                android:layout_width="match_parent"
                android:layout_height="32dp"
                android:gravity="center">

                <TextView
                    android:layout_width="30dp"
                    android:layout_height="4dp"
                    android:background="@drawable/drw_bottom_close_btn_bg"
                    android:gravity="center" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingStart="18dp"
                android:paddingEnd="18dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <androidx.cardview.widget.CardView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:elevation="0dp"
                        app:cardBackgroundColor="@color/transparent"
                        app:cardCornerRadius="10dp"
                        app:cardElevation="0dp">

                        <ImageView
                            android:id="@+id/bottomDialogSongImg"
                            android:layout_width="50dp"
                            android:layout_height="50dp"
                            android:src="@mipmap/app_logo" />

                    </androidx.cardview.widget.CardView>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginStart="12dp"
                        android:layout_marginEnd="12dp"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:orientation="vertical">

                        <melody.offline.music.view.MarqueeTextView
                            android:id="@+id/bottomDialogTitle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/regular_font"
                            android:maxLines="1"
                            android:text="@string/app_name"
                            android:textColor="@color/white"
                            android:textSize="14dp" />

                        <melody.offline.music.view.MarqueeTextView
                            android:id="@+id/bottomDialogName"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/regular_font"
                            android:maxLines="1"
                            android:text="@string/app_name"
                            android:textColor="@color/white_60"
                            android:textSize="12dp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/bottomDialogFavoritesBtn"
                        android:layout_width="32dp"
                        android:layout_height="32dp"
                        android:background="@drawable/drw_round_48_bg"
                        android:gravity="center">

                        <ImageView
                            android:id="@+id/bottomDialogFavoritesImg"
                            android:layout_width="16dp"
                            android:layout_height="16dp"
                            android:src="@drawable/not_favorited_icon" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="16dp"
                    android:background="@color/liner_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <LinearLayout
                        android:id="@+id/bottomDialogMoreDownloadBtn"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginTop="4dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content">

                            <ImageView
                                android:id="@+id/bottomDialogDownloadImg"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/more_download_icon" />

                            <ProgressBar
                                android:id="@+id/bottomDialogDownloadLoading"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:indeterminateTint="@color/green"
                                android:progressBackgroundTint="@color/green"
                                android:progressTint="@color/green"
                                android:visibility="gone" />


                        </RelativeLayout>

                        <TextView
                            android:id="@+id/bottomDialogDownloadTv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="12dp"
                            android:text="@string/download_save_offline"
                            android:textColor="@color/white"
                            android:textSize="14dp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/bottomDialogMoreAddPlaylistBtn"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginTop="4dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:src="@drawable/more_add_playlist_icon" />

                        <TextView
                            android:id="@+id/bottomDialogAddPlaylistTv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="12dp"
                            android:text="@string/add_to_playlist"
                            android:textColor="@color/white"
                            android:textSize="14dp" />

                    </LinearLayout>

                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>